Update Object

Update Object

Update a object

Request
URI
PATCH
https://{api_host}/tca/tenancy/api/v1/orgs/{tenancyObjectOrgId}/objects/{objectType}/{objectId}
COPY
Path Parameters
string
tenancyObjectOrgId
Required

The identifier of the tenant/organization

tenancyObjectOrgId example
c11ade69-5f11-4bef-9cbe-d52fcecb5bea
objectType
Required

The type of the object

string
objectId
Required

The identifier of the object


Request Body

The patch details

objectPatchReq of type(s) application/json
Required
{
    "creationTenantId": "string",
    "creationUser": "string"
}
string
creationTenantId
Required

The identifier of the tenant who created the resource

string
creationUser
Required

The creator of the resource

Responses
204

Successfully patched the object

Operation doesn't return any data structure

400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors